id(1)

NAME
id - Print user and group information for each specified `USER`, or (when `USER` omitted) for the current user.

SYNOPSIS
id [-A ] [-u|--user] [-g|--group] [-G|--groups] [-p ] [-n|--name] [-P ] [-r|--real] [-z|--zero] [-Z|--context] [-h|--help] [-V|--version] [USER]

DESCRIPTION
Print user and group information for each specified `USER`, or (when `USER` omitted) for the current user.

OPTIONS

-A  Display the process audit user ID and other process audit properties, which requires privilege (not available on Linux).

-u, --user
    Display only the effective user ID as a number.

-g, --group
    Display only the effective group ID as a number

-G, --groups
    Display only the different group IDs as white-space separated numbers, in no particular order.

-p  Make the output human-readable. Each display is on a separate line.

-n, --name
    Display the name of the user or group ID for the -G, -g and -u options instead of the number. If any of the ID numbers cannot be mapped into names, the number will be displayed as usual.

-P  Display the id as a password file entry.

-r, --real
    Display the real ID for the -G, -g and -u options instead of the effective ID.

-z, --zero
    delimit entries with NUL characters, not whitespace; not permitted in default format

-Z, --context
    print only the security context of the process (not enabled)

-h, --help
    Print help

-V, --version
    Print version

[USER]

VERSION
v0.0.22